Extending Qt Creator Manual | EnvironmentWidget

Extending Qt Creator Manual 4.5.2

# EnvironmentWidget Class

(ProjectExplorer::EnvironmentWidget)

- List of all members, including inherited members

## Public Functions

| EnvironmentWidget(QWidget *parent, QWidget *additionalDetailsWidget = nullptr)
| ~EnvironmentWidget() override
void | setBaseEnvironment(const Utils::Environment &env)
void | setBaseEnvironmentText(const QString &text)
void | setUserChanges(const QList<Utils::EnvironmentItem> &list)
QList<Utils::EnvironmentItem> | userChanges() const

## Signals

void | detailsVisibleChanged(bool visible)
void | userChangesChanged()

## Member Function Documentation

### EnvironmentWidget::EnvironmentWidget(QWidget *parent, QWidget *additionalDetailsWidget = nullptr)

Default constructs an instance of EnvironmentWidget.

### EnvironmentWidget::~EnvironmentWidget()

Destroys the instance of EnvironmentWidget.

### `[signal]` void EnvironmentWidget::detailsVisibleChanged(bool visible)

### void EnvironmentWidget::setBaseEnvironment(const Utils::Environment &env)

### void EnvironmentWidget::setBaseEnvironmentText(const QString &text)

### void EnvironmentWidget::setUserChanges(const QList<Utils::EnvironmentItem> &list)

See also userChanges().

### QList<Utils::EnvironmentItem> EnvironmentWidget::userChanges() const

See also setUserChanges().

### `[signal]` void EnvironmentWidget::userChangesChanged()